Redmine - Defect #15667

Fix shadowing variable in ApplicationHelper#textilizable
Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Code cleanup/refactoring Estimated time: 0.00 hour
Target version: 5.1.0

Resolution: Fixed Affected version: 2.4.1
Description

fix using two different objects with same name, may cause problems

Associated revisions

Revision 21991 - 2022-12-16 08:59 - Go MAEDA
Fix shadowing variable in ApplicationHelper#textilizable (#15667).

Patch by llya S.

History

#1 - 2013-12-10 13:01 - Toshi MARUYAMA

I think it does not cause problem.

def test (text)
"test " + yield("yield " + text)
end

text = "aaaa"

text = test(text) do |text]|
puts text
"block " + text

end

puts text

$ ruby a.rb
yield aaaa
test block yield aaaa

r10209 has tests.

#2-2013-12-10 14:10 - llya S

yes, it isn't in this case, but may cause, because you create two different objects in same scope. Do you really think that's ok? Why do you rely on
assumption that this piece of code will interprete right, instead of write it right?

and one more thing: code like this really hard to read, and maintain.

#3 - 2022-12-16 08:53 - Go MAEDA

- Subject changed from Fix shadowing variable to Fix shadowing variable in ApplicationHelper#textilizable
- Category changed from Text formatting to Code cleanup/refactoring

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version set to 5.1.0

- Resolution set to Fixed

Committed the fix. Thank you.
